﻿using UnityEngine;
using System.Collections;

public class everySecond : MonoBehaviour
{
	SpriteRenderer m_Renderer;
	public Sprite[] m_Sprites;
	public float sync;
	Vector3 originPosition;

	void Start ()
	{
		m_Renderer = GetComponent<SpriteRenderer> ();
		sync = Random.RandomRange (0, 0.05f) + (int)Random.Range (0, 10f);
		originPosition = gameObject.transform.position;
	}

	void Update ()
	{
		float now = Time.time;
		float phase = (now + sync) / 1; 
		m_Renderer.sprite = m_Sprites [(int)phase % 2];
		gameObject.transform.position = new Vector3 (originPosition.x, originPosition.y + 0.2f * Mathf.Pow (Mathf.Abs (Mathf.Sin (phase * 2 * Mathf.PI)), 0.5f), originPosition.z);  


	}
}
